#ifndef MAINVIEW_H
#define MAINVIEW_H

#include <QWidget>
#include <QtGui>
#include <QSettings>

class MainView : public QWidget
{
    Q_OBJECT
public:
    explicit MainView(QWidget *parent = 0);

    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *);
    bool thumbnailEnabled;
    
private:
    QPoint offset;
    int xpos;
    bool acceptDrag;
    bool rejectDrag;
    bool _acceptMousePress;
    QWidget *acceptButton;
    QWidget *rejectButton;
    QLabel *numberLabel;
    QLabel *nameLabel;
    QWidget *greenArrow;
    QWidget *redArrow;
    QWidget *statusIndicator;
    QLabel *thumbnail;

signals:
    void acceptCall();
    void rejectCall();

public slots:
    void setNumber(const QString &number);
    void setName(const QString &name);
    void acceptMousePress();
    void rejectMousePress();
    void hideControls();
    void showControls();
    void setThumbnail(const QImage &image);

private slots:
    void readSettings();
};

#endif // MAINVIEW_H
